@font-face {
  font-family: 'Kissing Season';
  src: url(https://file.garden/aTg6DcChphoylsMW/strawb/kissing_season.ttf);
}

:root {
    /* background */
    --background-color: #ffbadf;
    --container-background-color: #ffe5f3;
    --accent-background-color: #ffe5f3;

    /* text */
    font-family: Kissing Season;
    --text-color: #bb6191;
    --accent-text-color: #e08db9;
    --link-color: #73b66a;
    --color-danger: #c44537;
    --danger-text: #f5e4da;
    --color-hover-danger: #e65f50;
}

:root[data-theme="dark"] {
    /* background */
    --background-color: #9e4675;
    --container-background-color: #bb6191;
    --accent-background-color: #bb6191;

    /* text */
    --text-color: #ffe5f3;
    --accent-text-color: #ffbadf;
    --link-color: #73b66a;
    --color-danger: #802e25;
    --danger-text: #ffebd3;
    --color-hover-danger: #b33f32;
}

* {
    box-sizing: border-box;
    margin: 0;
}

a {
    color: var(--link-color);
    text-decoration: none;
}

body {
    color: var(--text-color);
    padding: 15px;
    background-color: var(--background-color);
}

.container-1 {
    background-color: var(--container-background-color);
    padding: 20px;
    border-radius: 8px;
    max-width: 1000px;
    margin: 20px auto;
    line-height: 1.6rem;
}

.container-2 {
    background-color: var(--container-background-color);
    padding: 20px;
    border-radius: 8px;
    max-width: 600px;
    margin: 20px auto;
    overflow: hidden;
    line-height: 1.6rem;
}

.container-3 {
    padding: 20px;
    border-radius: 8px;
    max-width: 600px;
    margin: 20px auto;
    overflow: hidden;
    line-height: 1.6rem;
}

.container-4 {
    padding: 20px;
    border-radius: 8px;
    max-width: 1000px;
    margin: 20px auto;
    overflow: hidden;
    line-height: 1.6rem;
}

.container-5 {
    background-color: var(--container-background-color);
    border-radius: 8px;
    padding: 10px;
    max-width: 1000px;
    margin: 20px auto;
    overflow: hidden;
    line-height: 1.6rem;
}

.container-6 {
    background-color: var(--container-background-color);
    border-radius: 8px;
    padding: 20px;
    max-width: 500px;
    margin: 20px auto;
    overflow: hidden;
    line-height: 1.6rem;
}

textarea {
    width: 100%;
    min-height: 150px;
    padding: 10px;
    border: none;
    border-radius: 8px;
    background: var(--accent-background-color);
    font-size: 0.9rem;
    resize: vertical;
    display: block;
    color: var(--text-color);
    box-sizing: border-box;
    outline: none !important;
}

#preview {
    font-family: Kissing Season !important;
    width: 100%;
    height: 700px;
    border: none;
    display: block;
    border-radius: 8px;
    font-size: 0.9rem;
    color: #bb6191;
}

.preview-wrapper {
    width: 100%;
    max-width: 100%;
    height: 700px;
    overflow: auto;
    border-radius: 8px;
}

.btn {
    background-color: var(--accent-background-color);
    border: none;
    border-radius: 8px;
    padding: 10px 20px;
    font-size: 0.8rem;
    cursor: pointer;
    text-decoration: none;
    color: var(--text-color) !important;
}

.btn:hover {
    background-color: var(--text-color);
    color: var(--accent-background-color) !important;
}

input {
    border: none;
    outline: none !important;
    border-radius: 8px;
    padding: 10px;
    font-size: 14px;
    width: calc(100% - 20px);
    background-color: var(--accent-background-color);
    box-sizing: border-box;
    max-height: 40px;
    max-width: 300px;
    color: var(--text-color);
}

#popup-message {
    line-height: 1.5rem;
}

#popup {
    background-color: var(--container-background-color);
    border-radius: 8px;
    padding: 20px;
    border: 1px solid var(--color-border);
    text-align: center;
    max-width: 200px;
}

#popup button {
    margin-top: 5px;
    background-color: var(--accent-background-color);
    border-radius: 4px;
    padding: 8px 16px;
    cursor: pointer;
    transition: all 0.2s ease;
}

#popup button:hover {
    background-color: var(--text-color);
    color: var(--accent-background-color);
}

#content.blur {
    filter: blur(2px);
    transition: filter 0.3s ease;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropbtn {
    cursor: pointer;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--background-color);
    border: 4px solid var(--accent-background-color);
    box-shadow:
        inset 0 2px 4px var(--color-shadow-light),
        inset 0 -2px 4px var(--color-shadow-dark),
        2px 2px 5px var(--color-box-shadow);
    padding: 10px;
    border-radius: 8px;
    min-width: 200px;
    z-index: 1;
    color: var(--text-color) !important;
}

#dropdownContent a {
    color: var(--text-color) !important;
}

.dropdown-content.show {
    display: block;
}

.dropdown-content a {
    display: block;
    padding: 10px 18px;
    text-decoration: none;
    color: var(--text-color) !important;
}

.dropdown-content a:hover {
    background-color: var(--accent-background-color);
    border-radius: 8px;
    padding: 10px 18px;
}

.hr-header {
    border-top: 3px solid var(--accent-background-color);
    border-radius: 10px;
    margin: 10px 0;
}

#dropbtn svg,
#theme-toggle svg {
    color: var(--text-color);
}

.new-paste-options {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

#pfp {
    height: auto;
    width: 100%;
    max-width: 400px;
    max-height: 400px;
    border-radius: 8px;
    object-fit: cover;
    background-color: var(--accent-background-color);
}

#profile-flex {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
}

#profile-flex-two {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
}

.bio {
    margin-top: 10px;
    font-size: 14px;
    line-height: 1.5;
    text-align: center;
    background-color: var(--accent-background-color);
    color: var(--text-color);
    border-radius: 8px;
    padding: 10px;
    width: 100%;
    height: 100px;
    overflow-y: auto;
}

#edit-bio {
    background-color: var(--accent-background-color);
    color: var(--text-color);
    font-size: 0.8rem;
    border-radius: 8px;
    padding: 10px;
    width: 100%;
    height: 100px;
    overflow-y: auto;
    max-height: 200px;
    max-width: 250px;
}

#name {
    margin: 0 auto;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
}

span {
    color: var(--accent-text-color);
    background-color: var(--accent-background-color);
    padding: 4px 8px;
    border-radius: 4px;
    margin-right: 4px;
    font-size: 0.9rem;
}

h1,
h2,
h3,
h4,
h5 {
    padding-bottom: 10px;
}

.badges-container {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
}

.badge-containment {
    display: flex;
}

.user-table {
    width: 100%;
    margin-bottom: 20px;
    max-width: 800px;
}

@media (max-width: 568px) {
    #profile-flex {
        flex-direction: column;
    }

    #pfp {
        max-width: 100%;
        max-height: 100%;
    }

    .badges-container {
        margin-bottom: 20px;
    }

    #flex-user-actions {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .user-table {
        width: 100%;
        max-width: 300px;
        display: block;
        overflow-x: auto;
        overflow-y: auto;
    }

    #extras-button {
        margin-top: 5px;
    }

    .paste-stats {
        padding-left: 40px;
        line-height: 1.3rem !important;
    }
}

#flex-user-actions {
    display: flex;
    gap: 10px;
}

.paste-card {
    background-color: var(--accent-background-color);
    padding: 15px;
    border-radius: 8px;
    min-width: 200px;
    z-index: 1;
    margin-top: 10px;
}

.paste-link,
.paste-link:visited {
    display: block;
    text-decoration: none;
    color: var(--text-color);
    font-size: 1.3rem;
}

.paste-card:hover {
    background-color: var(--text-color);
    color: var(--accent-background-color) !important;
}

.paste-card span {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: 100%;
    display: inline-block;
    background-color: var(--background-color);
}

.paste-stats {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 10px;
    text-align: left;
    align-items: flex-end;
    line-height: 0.8rem;
}

.paste-stats p {
    margin: 0;
}

.paste-stats p:last-child {
    margin-bottom: 10px;
}

.full-container-1 {
    margin: 0 auto;
    max-width: 1000px;
}

.full-container-2 {
    margin: 0 auto;
    max-width: 600px;
}

#login-register {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

#login-register input {
    width: 100%;
    max-width: 600px;
}

table {
    width: 80%;
    border-collapse: collapse;
    margin: 20px auto;
    border-radius: 10px;
}
th,
td {
    border: 5px solid var(--accent-background-color);
    padding: 8px 12px;
    text-align: left;
}
th {
    background: var(--background-color);
    color: var(--text-color);
}

.pagination {
    text-align: center;
    margin: 20px;
}
.pagination a {
    margin: 0 5px;
    text-decoration: none;
    padding: 8px 17px;
    border-radius: 8px;
    background: var(--accent-background-color);
    color: var(--text-color);
}

.pagination a:hover {
    background: var(--text-color);
    color: var(--accent-background-color);
}

.pagination a.disabled {
    color: var(--background-color);
    pointer-events: none;
}

.flexy-wexy {
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
}

.meta {
    display: flex;
    gap: 10px;
    padding: 8px;
    width: 100%;
    justify-content: space-between;
}

.meta-content {
    width: 100%;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.meta-content input {
    width: 100%;
    max-width: 600px;
}

.meta-content textarea {
    height: 100%;
    min-height: 80px;
}

.btn-danger {
    background-color: var(--color-danger);
    color: var(--danger-text) !important;
}

.btn-danger:hover {
    background: var(--color-hover-danger);
    color: var(--danger-text) !important;
}
